function [H, Err] = weightedLSQ(L,t,W)
eps = 1e-7;
%t0 = repmat(W,size(t,1),1).*t;
%L0 = repmat(W,size(L,1),1).*L;
t0 = repmat(W,1,size(t,2)).*t;
L0 = L;
H = t0*L0'*inv(L0*L0'+eps*eye(size(L0,1))); 
H = H./repmat(W,1,size(H,2));
Err = H*L-t;